org.apache.ignite.configuration

## Interface ConnectorMessageInterceptor

    public interface ConnectorMessageInterceptor

Interface for user-defined object interceptors.

Interceptors allow user to transform objects send and received via REST protocols. For example they could be used for customized multi-language marshalling by converting binary object representation received from client to java object.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `onReceive(Object obj)` Intercepts received objects.
`Object` `onSend(Object obj)` Intercepts received objects.

### Method Detail

#### onReceive

    @Nullable
    Object onReceive(@Nullable
                               Object obj)

Intercepts received objects.

Parameters:
  `obj` - Original incoming object.
Returns:
  Object which should replace original in later processing.

#### onSend

    @Nullable
    Object onSend(Object obj)

Intercepts received objects.

Parameters:
  `obj` - Original incoming object.
Returns:
  Object which should be send to remote client instead of original.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019